## CCMImage CCMImage |

## Synopsis

                        CCMImage;
    CCMImage*           ccm_image_new                       (CCMDisplay *display,
                                                             Visual *visual,
                                                             cairo_format_t format,
                                                             int width,
                                                             int height,
                                                             int depth);
    void                ccm_image_destroy                   (CCMImage *image);
    gboolean            ccm_image_get_image                 (CCMImage *image,
                                                             CCMPixmap *pixmap,
                                                             int x,
                                                             int y);
    gboolean            ccm_image_get_sub_image             (CCMImage *image,
                                                             CCMPixmap *pixmap,
                                                             int x,
                                                             int y,
                                                             int width,
                                                             int height);
    gboolean            ccm_image_put_image                 (CCMImage *image,
                                                             CCMPixmap *pixmap,
                                                             int x_src,
                                                             int y_src,
                                                             int x,
                                                             int y,
                                                             int width,
                                                             int height);
    guchar*             ccm_image_get_data                  (CCMImage *image);
    gint                ccm_image_get_width                 (CCMImage *image);
    gint                ccm_image_get_height                (CCMImage *image);
    gint                ccm_image_get_stride                (CCMImage *image);

## Description

## Details

### CCMImage

    typedef struct _CCMImage CCMImage;

### ccm_image_new ()

    CCMImage*           ccm_image_new                       (CCMDisplay *display,
                                                             Visual *visual,
                                                             cairo_format_t format,
                                                             int width,
                                                             int height,
                                                             int depth);

`display` : |
`visual` : |
`format` : |
`width` : |
`height` : |
`depth` : |
Returns : |

### ccm_image_destroy ()

    void                ccm_image_destroy                   (CCMImage *image);

`image` : |

### ccm_image_get_image ()

    gboolean            ccm_image_get_image                 (CCMImage *image,
                                                             CCMPixmap *pixmap,
                                                             int x,
                                                             int y);

`image` : |
`pixmap` : |
`x` : |
`y` : |
Returns : |

### ccm_image_get_sub_image ()

    gboolean            ccm_image_get_sub_image             (CCMImage *image,
                                                             CCMPixmap *pixmap,
                                                             int x,
                                                             int y,
                                                             int width,
                                                             int height);

`image` : |
`pixmap` : |
`x` : |
`y` : |
`width` : |
`height` : |
Returns : |

### ccm_image_put_image ()

    gboolean            ccm_image_put_image                 (CCMImage *image,
                                                             CCMPixmap *pixmap,
                                                             int x_src,
                                                             int y_src,
                                                             int x,
                                                             int y,
                                                             int width,
                                                             int height);

`image` : |
`pixmap` : |
`x_src` : |
`y_src` : |
`x` : |
`y` : |
`width` : |
`height` : |
Returns : |

### ccm_image_get_data ()

    guchar*             ccm_image_get_data                  (CCMImage *image);

`image` : |
Returns : |

### ccm_image_get_width ()

    gint                ccm_image_get_width                 (CCMImage *image);

`image` : |
Returns : |

### ccm_image_get_height ()

    gint                ccm_image_get_height                (CCMImage *image);

`image` : |
Returns : |

### ccm_image_get_stride ()

    gint                ccm_image_get_stride                (CCMImage *image);

`image` : |
Returns : |